%global realname kdcproxy

Summary:       MS-KKDCP (kerberos proxy) WSGI module
Name:          python-%{realname}
Version:       1.0.0
Release:       5%{?dist}
License:       MIT
URL:           https://github.com/latchset/%{realname}
Source0:       %{url}/archive/%{realname}-%{version}.tar.gz

Patch3000:     Drop-coverage-from-tests.patch

BuildRequires: git python3-devel python3-dns python3-pyasn1 python3-pytest python3-setuptools
BuildArch:     noarch

%description
This package contains a Python WSGI module for proxying KDC requests over HTTP by following the
MS-KKDCP protocol. It aims to be simple to deploy, with minimal configuration.

%package -n python3-%{realname}
Summary:        MS-KKDCP (kerberos proxy) WSGI module
Requires:       python3-dns python3-pyasn1


%description -n python3-%{realname}
This package contains a Python 3.x WSGI module for proxying KDC requests over HTTP by following the
MS-KKDCP protocol. It aims to be simple to deploy, with minimal configuration.

%prep
%autosetup -S git -n %{realname}-%{version}

%build
%py3_build

%install
%py3_install

%check
python3 -m pytest

%files -n python3-%{realname}
%license COPYING
%doc README
%{python3_sitelib}/%{realname}/
%{python3_sitelib}/%{realname}-%{version}-*.egg-info

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 16 2023 Shuo Wang <abushwang@tencent.com> - 1.0.0-1
- initial build
